Bug 1296949 - (CVE-2015-8751) CVE-2015-8751 jasper: integer overflow in the jas_matrix_create() function
CVE-2015-8751 jasper: integer overflow in the jas_matrix_create() function
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151224,repor...
: Security
Depends On: CVE-2008-3520 1294039 1296950 1296951 1296952 1296953
Blocks: 1296956
  Show dependency treegraph
 
Reported: 2016-01-08 09:23 EST by Martin Prpič
Modified: 2017-03-24 09:51 EDT (History)
37 users (show)

See Also:
Fixed In Version: jasper 1.900.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 08:10:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-08 09:23:55 EST
An integer overflow flaw was found in the way the JasPer's library jas_matrix_create() function parsed certain JPEG 2000 image files. A specially crafted file could cause an application using JasPer to crash.

This was originally filed against Fedora as bug 1294039, which includes a PoC for this issue.

CVE assignment:

http://seclists.org/oss-sec/2016/q1/44
Comment 1 Martin Prpič 2016-01-08 09:25:54 EST
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1296951]
Affects: epel-7 [bug 1296953]
Comment 2 Martin Prpič 2016-01-08 09:26:13 EST
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1294039]
Affects: epel-5 [bug 1296952]
Comment 3 Cedric Buissart 2016-01-11 08:10:02 EST
Statement: 

This issue did not affect the versions of jasper as shipped with Red Hat Enterprise Linux 6 and 7 as it was already fixed via CVE-2008-3520.

*** This bug has been marked as a duplicate of bug 461476 ***
Comment 4 Tomas Hoger 2016-11-24 06:35:10 EST
This was fixed upstream in 1.900.4, see bug 461476 comment 23.

Note You need to log in before you can comment on or make changes to this bug.